## amdgpu-dkms 5.16.9.22.20

=== usr/src/amdgpu-5.16.9.22.20-1438747~22.04/scheduler/Makefile ===
#
# Copyright 2017 Advanced Micro Devices, Inc.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE COPYRIGHT HOLDER(S) OR AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#
#

#
# In DKMS mode the module can be renamed by passing SCHED_NAME as a parameter
# to 'make' if required
#
SCHED_NAME = gpu-sched

$(SCHED_NAME)-y := sched_main.o sched_fence.o sched_entity.o
obj-$(CONFIG_DRM_SCHED) += $(SCHED_NAME).o

ifeq ($(KBUILD_EXTMOD),)
SCHED_FULL_PATH := $(srctree)/$(src)
else
SCHED_FULL_PATH := $(src)
endif

ccflags-y := -I$(SCHED_FULL_PATH)

include $(SCHED_FULL_PATH)/backport/Makefile
