=== usr/src/amdgpu-5.16.9.22.20-1438747~22.04/scheduler/backport/Makefile ===
# SPDX-License-Identifier: MIT
ccflags-y += \
	-I$(SCHED_FULL_PATH) \
	-I$(SCHED_FULL_PATH)/../amd/dkms \
	-include config/config.h \
	-include backport/backport.h
