=== usr/src/amdgpu-5.16.9.22.20-1438747~22.04/ttm/backport/Makefile ===
# SPDX-License-Identifier: MIT
ccflags-y += \
	-I$(TTM_FULL_PATH) \
	-I$(TTM_FULL_PATH)/../amd/dkms \
	-include config/config.h \
	-include backport/backport.h

ccflags-y += -DHAVE_CONFIG_H
