=== debian/changelog ===
amdgpu-dkms (5.16.9.22.20) unstable; urgency=medium

  * update version to 5.16.9.22.20-1438747.
  * 

 -- Ao Hong <hongao@uniontech.com>  Wed, 20 Jul 2022 15:47:23 +0800

amdgpu-dkms (5.11.32.40508) unstable; urgency=medium

  * feat: amdgpu-dkms only build for kernel 4.19 & 5.10.
  * 

 -- Ao Hong <hongao@uniontech.com>  Fri, 10 Jun 2022 10:04:32 +0800

amdgpu-dkms (5.11.32.40507) unstable; urgency=medium

  * feat: modify amdgpu-dkms build arch from "amd64" to "x86_64"
  * fix: bug 123087
  * feat: add deepin-supported-devices.json for Driver Manager
  * feat: drm/amdgpu add module parameter dce_v6_0_resume_delay

 -- Ao Hong <hongao@uniontech.com>  Tue, 31 May 2022 14:23:50 +0800

amdgpu-dkms (5.11.32.40506) unstable; urgency=medium

  * update version to 5.11.32.40506
  *

 -- Ao Hong <hongao@uniontech.com>  Fri, 22 Apr 2022 17:25:51 +0800

amdgpu-dkms (5.11.32.40505) unstable; urgency=high

  * update version to 5.11.32.40505
  * 

 -- Ao Hong <hongao@uniontech.com>  Tue, 29 Mar 2022 14:49:36 +0800

amdgpu-dkms (5.11.32.40504) unstable; urgency=high

  * fix some exsit bugs
  * update version to 5.11.32.40504

 -- Ao Hong <hongao@uniontech.com>  Fri, 11 Mar 2022 11:40:57 +0800

amdgpu-dkms (5.11.32.40503) unstable; urgency=high

  * adapt amdgpu-dkms for arm64
  * fix some exsit bugs

 -- Ao Hong <hongao@uniontech.com>  Wed, 09 Feb 2022 10:08:23 +0800

amdgpu-dkms (5.11.32.40502) unstable; urgency=high

  * update from amdgpu-dkms_5.11.32.40502-1350683_all.deb

 -- Ao Hong <hongao@uniontech.com>  Tue, 14 Dec 2021 13:20:19 +0800

amdgpu-dkms (1.0) unstable; urgency=high

    * init

 -- Dunjun Li <liduanjun@uniontech.com>  Wed, 14 Apr 2021 14:39:35 +0800
