=== debian/control ===
Source: amdgpu-dkms
Section: drivers
Priority: optional
Maintainer: Dunjun Li <liduanjun@uniontech.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.3.0

Package: amdgpu-dkms
Architecture: all
Depends: dkms (>= 1.95), libc-dev | libc6-dev, autoconf, automake
Section: kernel
Priority: optional
Description: amdgpu driver in DKMS format.
 backport amdgpu for new amd graphic card
